
# Creates a maximum monthly mean climatology
# Input is a stack of 12 monthly means with pixels equal to temperature in degrees Celsius

# Make sure the output is 32-bit floating point as will be decimal degrees Celsius

set output 32 f ;

# Loops through the stack and finds the maximum value for each pixel

# note that i in the max function is an intrinsic counter which goes through all i images in the stack
# to which the formula is pasted (or dragged and dropped)
max(i, i <= 12);



