#Start with two stacked images: image 2 is an SST field, image 1 is the maximum monthly mean
# Both images should be in degrees Celsius.
#This formula calculates the HotSpot by subtracting the maximum monthly mean from the SST field

#Make sure Output image type is set to 32-bit floating point
set output 32 f ;


#Set up a variable for referring to the output image, and initialize it to zero


#Set up a variable for referring to the output image, and initialize it to -999 (null value)
const image = blank;
image = -999.0;


#Subtract the monthly mean from the HDF data field.
 # if the result is positive, keep the result
 # if the result is zero or negative, set to zero
 # the remaining pixels will be land pixels: null in the source images, so they will stay at -999 in the output


if ((@2-@1)>0) image = (@2-@1) elseif ((@2-@1)<=0) image = 0 else image = image;

image;